<?php
function gettn($item, $imgsize) {
	if ($imgsize == 't') {
		$tn = $item->get_enclosure()->get_thumbnail(1);
		return str_replace('.100.jpg', '.t.jpg', $tn);
	}
	if ($imgsize == 100) {
		return $item->get_enclosure()->get_thumbnail(1);
	}
	if ($imgsize == 240) {
		return $item->get_enclosure()->get_thumbnail(0);
	}
	if ($imgsize == 1024) {
		return $item->get_enclosure()->get_link();
	}
}


if ($instance['defaultcss'] == 'y')
	$default = ' iperssdefault';
if ($instance['customcss'] == 'y')
	$custom = ' ipersscustom';


if($instance['user']) {
	$id = $instance['user'];
	$uri = 'http://api.ipernity.com/feed/doc?user_id='.
		$id.'&only=&format=rss&lang='.$instance['lang'];

	if ($f = fetch_feed($uri)) {
		$output = true;
		if ($f->get_link() == 'http://www.ipernity.com/help/feeds') {
			$errormsg = '<p>Unknown user name given. Please check'.
				'if you entered your user name correctly.</p>'.
				'<p>ipernity error message was: “'.
				$f->get_title().'”</p>';
			$output = false;
		}
		$link = $f->get_link();
		$user = $f->get_title();
	}
}
else {
	$errormsg = 'No username given. Please check widget configuration';
	$output = false;
}


echo '<div class="iperssdiv'.$default.$custom.'"><ul>';


if($output == true) {
	'<li class="iperssuser"><a href="'.$link.'">'.$user.'</a></li>';

	foreach ($f->get_items(0, $instance['number']) as $item) {
		$title = str_replace(array('&lt;','&gt;'),'',
			$item->get_title());
		$date = $item->get_date($instance['datefmt']);
		$tn = gettn($item, $instance['imgsize']);
		$link = $item->get_link();
		echo '<li class="iperssimg">'.
			'<h3>'.$title.'</h3>'.
			'<a href="'.$link.'">'.
			'<img src="'.$tn.'" title="'.$title.'" '.
			'alt="'.$title.'"/></a>'.
			'<em>'.$date.'</em>'.
			'</li>';
	}
}
else {
	if (!$errormsg) {
		$errormsg = '<p>An unhandled error occured. Please contact'.
			'plugin author at given mail address</p>';
	}
	echo '<li class="ipersserror">'.$errormsg.'</li>';

}


echo '<li class="iperssclearfix"></li>';
if ($instance['poweredby'] == 'y') {
	echo '<li class="iperssinfo"><a href="http://0x7be.de/iperss">'.
		__('powered by ipeRSS').'</a></li>';
}
echo '</ul>';
echo '</div>';


?>
